Subject: bug#76322: Make ctags a thin wrapper around etags

From: Paul Eggert <[email-masked]>
Date: Wed, 12 Mar 2025 00:18:11 -0700

On 2025-03-11 21:26, Richard Stallman wrote:
> Can you summarize the important differences between this and our ctags?
> Can you summarize the important differences between this and etags?

No. And as I haven't used ctags or etags (of any flavor) for decades, I 
would not be a good choice to investigate details.

That being said, by all reports Universal Ctags is better than what's 
shipped with GNU Emacs. Of the recent discussions I found on this topic, 
nobody recommended Emacs ctags; everybody wanted Universal Ctags, or 
something fancier like GNU Global or a language server, and some users 
were frustrated when Emacs ctags was installed by mistake.

Apparently Emacs ctags is a revenant that costs us more in maintenance 
effort than it's worth, which is why I suggested removing it.